[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#662545: marked as done (wdm: Please Build-Depends on libpng-dev, change from libpng12-dev)

Your message dated Tue, 06 Mar 2012 15:36:01 +0000
with message-id <E1S4wQj-0008Pb-6T@franck.debian.org>
and subject line Bug#662545: fixed in wdm 1.28-10
has caused the Debian Bug report #662545,
regarding wdm: Please Build-Depends on libpng-dev, change from libpng12-dev
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

662545: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=662545
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Source: wdm
Version: 1.8-1.1
Severity: important
User: libpng@packages.debian.org
Usertags: libpng15-transition


Libpng maintainers plan transition of libpng[0].
Version 1.2 is used for libpng of current debian, but will shifts 
to version 1.5 in this transition.
Your package still does it depending on libpng12-dev.
We cannot shift in transition mentioned above. 
Please change Build-Depends of the package from libpng12-dev to libpng-dev.

Build-Depends: debhelper (>= 8.0.0)


Best regards,

Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6

--- End Message ---
--- Begin Message ---
Source: wdm
Source-Version: 1.28-10

We believe that the bug you reported is fixed in the latest version of
wdm, which is due to be installed in the Debian FTP archive:

  to main/w/wdm/wdm_1.28-10.debian.tar.gz
  to main/w/wdm/wdm_1.28-10.dsc
  to main/w/wdm/wdm_1.28-10_i386.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662545@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Agustin Martin Domingo <agmartin@debian.org> (supplier of updated wdm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Tue, 06 Mar 2012 15:42:13 +0100
Source: wdm
Binary: wdm
Architecture: source i386
Version: 1.28-10
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Agustin Martin Domingo <agmartin@debian.org>
 wdm        - WINGs Display Manager - an xdm replacement with a WindowMaker loo
Closes: 662545
 wdm (1.28-10) unstable; urgency=low
   * QA upload.
   * debian/control:
     - Change libpng12-dev Build-Depends to libpng-dev (Closes: #662545).
     - Bump Standards Version. No changes required.
   * Some changes to mimic xdm equivalent files:
     - Xreset,Xstartup,Xsetup_0:
       + Use which function instead of checking hardcoded locations.
       + Copy Xstartup nologin stuff from xdm for consistency.
       + Use grep -qs '^whatever' instead of plain grep -q ^whatever.
     - wdm.init:
       + Use lsb/init-functions.
       + Merge some of the xdm lsb/init dependencies.
       + Add status option.
       + Misc changes.
   * wdm.init:
     - Use a common wdm_may_update_wmlist function for possible
       update_wdm_wmlist calls.
   * Remove obsolete and unused init file and rename {dir,docs} ->
     wdm.{dir,docs} for consistency.
   * debian/xdm.Debian.patches: Remove this ancient and unused file.
   * 03_autoconf.patch:
     - No need to add -lXft, get-wings-flags --libs will (needlessly) do it.
     - Do not try to filter out unneeded X libs, --as-needed will do it.
   * debian/rules:
     - Use dh_prep instead of obsolete dh_clean -k.
     - Use --as-needed to avoid linking to unneeded libs.
 21a6221c79d3f703b70fea33e4366720ab1a1192 1444 wdm_1.28-10.dsc
 7a0e1eef44258e8f78894a622d9f932ced02851a 68132 wdm_1.28-10.debian.tar.gz
 2a953b0888e8a37f4132fd6f272d29885a2b579c 337894 wdm_1.28-10_i386.deb
 7095e2dea7a028c215a43e31170dbebeb95c97bbc390870a9060d13f47e64d7c 1444 wdm_1.28-10.dsc
 63749d85525cf7b95de4584a8a1d5de8e99010a904f1197f02c4dc1d32443657 68132 wdm_1.28-10.debian.tar.gz
 07a1e3bba4f0d2ce7dfa865808a5d9d1bb6eb174a27727c6dccf5c47e9fc2cc6 337894 wdm_1.28-10_i386.deb
 be757c7a99716325f66e17166142c5be 1444 x11 optional wdm_1.28-10.dsc
 5ad7a7f3bddb68bae3a273abcb8a7ce8 68132 x11 optional wdm_1.28-10.debian.tar.gz
 41fcdd85d8c6fb8f0ad90a3d65654ed0 337894 x11 optional wdm_1.28-10_i386.deb

Version: GnuPG v1.4.12 (GNU/Linux)


--- End Message ---

Reply to: